package com.yihu.hos.datacollect.model;

import java.sql.Timestamp;
import java.util.Date;

/**
 * RsJobLogDetail entity. @author MyEclipse Persistence Tools
 */

public class RsJobLogDetail implements java.io.Serializable {

	// Fields
	private String id;
	private Date startTime;
	private Date endTime;
	private String jobLogId;
	private String jobStatus;
	private String jobContent;
	private String datasourceId;
	private String config;
	private String stdDatasetCode;
	private String jobDatasetId;
	private String jobId;
	private String jobDatasetName;
	private String jobSql;
	private Integer jobNum;
	private Date repeatStartTime;
	private Date repeatEndTime;
	private String repeatJobContent;
	private String schemeVersion;
	private Integer jobDatasetRows;
	// Constructors

	/** default constructor */
	public RsJobLogDetail() {
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Date getStartTime() {
		return this.startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return this.endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getJobLogId() {
		return jobLogId;
	}

	public void setJobLogId(String jobLogId) {
		this.jobLogId = jobLogId;
	}

	public String getJobStatus() {
		return jobStatus;
	}

	public void setJobStatus(String jobStatus) {
		this.jobStatus = jobStatus;
	}

	public String getJobContent() {
		return this.jobContent;
	}

	public void setJobContent(String jobContent) {
		this.jobContent = jobContent;
	}

	public String getDatasourceId() {
		return datasourceId;
	}

	public void setDatasourceId(String datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getConfig() {
		return config;
	}

	public void setConfig(String config) {
		this.config = config;
	}

	public String getStdDatasetCode() {
		return stdDatasetCode;
	}

	public void setStdDatasetCode(String stdDatasetCode) {
		this.stdDatasetCode = stdDatasetCode;
	}

	public String getJobDatasetId() {
		return jobDatasetId;
	}

	public void setJobDatasetId(String jobDatasetId) {
		this.jobDatasetId = jobDatasetId;
	}

	public String getJobId() {
		return jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}

	public String getJobDatasetName() {
		return jobDatasetName;
	}

	public void setJobDatasetName(String jobDatasetName) {
		this.jobDatasetName = jobDatasetName;
	}

	public String getJobSql() {
		return jobSql;
	}

	public void setJobSql(String jobSql) {
		this.jobSql = jobSql;
	}

	public Integer getJobNum() {
		return jobNum;
	}

	public void setJobNum(Integer jobNum) {
		this.jobNum = jobNum;
	}

	public Date getRepeatStartTime() {
		return repeatStartTime;
	}

	public void setRepeatStartTime(Date repeatStartTime) {
		this.repeatStartTime = repeatStartTime;
	}

	public Date getRepeatEndTime() {
		return repeatEndTime;
	}

	public void setRepeatEndTime(Date repeatEndTime) {
		this.repeatEndTime = repeatEndTime;
	}

	public String getRepeatJobContent() {
		return repeatJobContent;
	}

	public void setRepeatJobContent(String repeatJobContent) {
		this.repeatJobContent = repeatJobContent;
	}

	public String getSchemeVersion() {
		return schemeVersion;
	}

	public void setSchemeVersion(String schemeVersion) {
		this.schemeVersion = schemeVersion;
	}

	public Integer getJobDatasetRows() {
		return jobDatasetRows;
	}

	public void setJobDatasetRows(Integer jobDatasetRows) {
		this.jobDatasetRows = jobDatasetRows;
	}
}